FlxpointAPI Help CenterBeta

Get Channel Shipping Mappings

gethttps://api.flxpoint.com/shipping/channel-shipping-mappingsDeprecated

Use this when you want to pull shipping data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

[DEPRECATED] Use `/shipping/channel-shipping-methods` instead. Retrieves all of the Channel Shipping Mappings configured for an account. Use the query parameters below to filter down the results.

Request

Query parameters
  • filterShippingPolicyIdqueryinteger

    Return Shipping Mappings for a specific Shipping Policy by passing in the Shipping Policy ID

  • filterChannelIdqueryinteger

    Return Shipping Mappings for a specific Channel by passing in the Channel ID

  • filterChannelShippingMappingIdsquerystring

    Return specific Shipping Mappings by passing in a comma separated list of Channel Shipping Mapping IDs

  • filterDeletedqueryboolean

    Return only Shipping Mappings that are or are not deleted (pass true for deleted and false for active)

Example request

get/shipping/channel-shipping-mappings
curl -X GET "https://api.flxpoint.com/shipping/channel-shipping-mappings" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[ChannelShippingMapping]
idinteger
channelIdinteger
namestring
shippingPolicyIdinteger
deletedAtstring (date-time)
Example response
[
  {
    "id": 0,
    "channelId": 0,
    "name": "string",
    "shippingPolicyId": 0,
    "deletedAt": "2026-04-20T00:00:00Z"
  }
]
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Channel Shipping Mappings",
    "description": "[DEPRECATED] Use `/shipping/channel-shipping-methods` instead.\nRetrieves all of the Channel Shipping Mappings configured for an account. Use the query parameters below to filter down the results.",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterShippingPolicyId",
        "description": "Return Shipping Mappings for a specific Shipping Policy by passing in the Shipping Policy ID"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterChannelId",
        "description": "Return Shipping Mappings for a specific Channel by passing in the Channel ID"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "filterChannelShippingMappingIds",
        "description": "Return specific Shipping Mappings by passing in a comma separated list of Channel Shipping Mapping IDs"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterDeleted",
        "description": "Return only Shipping Mappings that are or are not deleted (pass true for deleted and false for active)"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ChannelShippingMapping"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight